Currency Conversion¶
Get Simple Exchange Rate¶
HTTP Request
POST /api/v1/currency-conversion/simple-rates
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "erpSystem": {
4 "id": 0,
5 "displayId": "string"
6 },
7 "fromCurrency": {
8 "id": 0,
9 "displayId": "string"
10 },
11 "toCurrency": {
12 "id": 0,
13 "displayId": "string"
14 },
15 "referenceCurrency": {
16 "id": 0,
17 "displayId": "string"
18 },
19 "exchangeRateType": "string",
20 "conversionDate": "2019-08-24"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "request": {
4 "erpSystem": {
5 "id": 0,
6 "displayId": "string"
7 },
8 "fromCurrency": {
9 "id": 0,
10 "displayId": "string"
11 },
12 "toCurrency": {
13 "id": 0,
14 "displayId": "string"
15 },
16 "referenceCurrency": {
17 "id": 0,
18 "displayId": "string"
19 },
20 "exchangeRateType": "string",
21 "conversionDate": "2019-08-24"
22 },
23 "exchangeRate": 0,
24 "fromCurrency": {
25 "id": 0,
26 "status": "CREATED",
27 "displayId": "string",
28 "erpSystemId": 0,
29 "erpSystemDisplayId": "string",
30 "name": "string",
31 "decimalPoints": 0,
32 "depreciationAreaId": 0
33 },
34 "toCurrency": {
35 "id": 0,
36 "status": "CREATED",
37 "displayId": "string",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "name": "string",
41 "decimalPoints": 0,
42 "depreciationAreaId": 0
43 },
44 "referenceCurrency": {
45 "id": 0,
46 "status": "CREATED",
47 "displayId": "string",
48 "erpSystemId": 0,
49 "erpSystemDisplayId": "string",
50 "name": "string",
51 "decimalPoints": 0,
52 "depreciationAreaId": 0
53 },
54 "errorMessage": "string",
55 "hasError": true
56 }
57]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» request |
false |
none |
none |
|
»» erpSystem |
true |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» displayId |
string |
false |
none |
none |
»» fromCurrency |
true |
none |
none |
|
»» toCurrency |
true |
none |
none |
|
»» referenceCurrency |
false |
none |
none |
|
»» exchangeRateType |
string |
true |
none |
none |
»» conversionDate |
string(date) |
true |
none |
none |
» exchangeRate |
number |
false |
none |
none |
» fromCurrency |
false |
none |
none |
|
»» id |
integer(int64) |
false |
none |
none |
»» status |
string |
false |
none |
none |
»» displayId |
string |
true |
none |
none |
»» erpSystemId |
integer(int64) |
false |
none |
none |
»» erpSystemDisplayId |
string |
false |
none |
none |
»» name |
string |
false |
none |
none |
»» decimalPoints |
integer(int32) |
true |
none |
none |
»» depreciationAreaId |
integer(int64) |
false |
none |
none |
» toCurrency |
false |
none |
none |
|
» referenceCurrency |
false |
none |
none |
|
» errorMessage |
string |
false |
none |
none |
» hasError |
boolean |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
Get Reporting Exchange Rates¶
HTTP Request
POST /api/v1/currency-conversion/reporting-rates
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystem": {
3 "id": 0,
4 "displayId": "string"
5 },
6 "company": {
7 "id": 0,
8 "displayId": "string"
9 },
10 "contractCurrency": {
11 "id": 0,
12 "displayId": "string"
13 },
14 "targetCurrency": {
15 "id": 0,
16 "displayId": "string"
17 },
18 "reportDate": "2019-08-24",
19 "currencyType": "string",
20 "useMonthEndRateType": {
21 "useMonthEndRateType": true,
22 "doNotUseMonthEndRateTypeForLocalCurrencyRate": true
23 }
24}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "request": {
3 "erpSystem": {
4 "id": 0,
5 "displayId": "string"
6 },
7 "company": {
8 "id": 0,
9 "displayId": "string"
10 },
11 "contractCurrency": {
12 "id": 0,
13 "displayId": "string"
14 },
15 "targetCurrency": {
16 "id": 0,
17 "displayId": "string"
18 },
19 "reportDate": "2019-08-24",
20 "currencyType": "string",
21 "useMonthEndRateType": {
22 "useMonthEndRateType": true,
23 "doNotUseMonthEndRateTypeForLocalCurrencyRate": true
24 }
25 },
26 "localCurrencyConversion": {
27 "exchangeRate": 0,
28 "conversionDate": "2019-08-24",
29 "fromCurrency": {
30 "id": 0,
31 "status": "CREATED",
32 "displayId": "string",
33 "erpSystemId": 0,
34 "erpSystemDisplayId": "string",
35 "name": "string",
36 "decimalPoints": 0,
37 "depreciationAreaId": 0
38 },
39 "toCurrency": {
40 "id": 0,
41 "status": "CREATED",
42 "displayId": "string",
43 "erpSystemId": 0,
44 "erpSystemDisplayId": "string",
45 "name": "string",
46 "decimalPoints": 0,
47 "depreciationAreaId": 0
48 },
49 "referenceCurrency": {
50 "id": 0,
51 "status": "CREATED",
52 "displayId": "string",
53 "erpSystemId": 0,
54 "erpSystemDisplayId": "string",
55 "name": "string",
56 "decimalPoints": 0,
57 "depreciationAreaId": 0
58 },
59 "currencyDefinitionType": "CONTRACT_CURRENCY",
60 "sourceCurrencyType": "CONTRACT_CURRENCY",
61 "translationDateType": "DOCUMENT_DATE",
62 "currencyType": "string",
63 "exchangeRateType": "string",
64 "errorMessage": "string"
65 },
66 "groupCurrencyConversion": {
67 "exchangeRate": 0,
68 "conversionDate": "2019-08-24",
69 "fromCurrency": {
70 "id": 0,
71 "status": "CREATED",
72 "displayId": "string",
73 "erpSystemId": 0,
74 "erpSystemDisplayId": "string",
75 "name": "string",
76 "decimalPoints": 0,
77 "depreciationAreaId": 0
78 },
79 "toCurrency": {
80 "id": 0,
81 "status": "CREATED",
82 "displayId": "string",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string",
85 "name": "string",
86 "decimalPoints": 0,
87 "depreciationAreaId": 0
88 },
89 "referenceCurrency": {
90 "id": 0,
91 "status": "CREATED",
92 "displayId": "string",
93 "erpSystemId": 0,
94 "erpSystemDisplayId": "string",
95 "name": "string",
96 "decimalPoints": 0,
97 "depreciationAreaId": 0
98 },
99 "currencyDefinitionType": "CONTRACT_CURRENCY",
100 "sourceCurrencyType": "CONTRACT_CURRENCY",
101 "translationDateType": "DOCUMENT_DATE",
102 "currencyType": "string",
103 "exchangeRateType": "string",
104 "errorMessage": "string"
105 },
106 "errorMessage": "string",
107 "hasError": true
108}
Get Contract Exchange Rates¶
HTTP Request
POST /api/v1/currency-conversion/contract-rates
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystem": {
3 "id": 0,
4 "displayId": "string"
5 },
6 "company": {
7 "id": 0,
8 "displayId": "string"
9 },
10 "contractCurrency": {
11 "id": 0,
12 "displayId": "string"
13 },
14 "conversionDate": {
15 "postingDate": "2019-08-24",
16 "documentDate": "2019-08-24",
17 "translationDate": "2019-08-24"
18 }
19}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "request": {
3 "erpSystem": {
4 "id": 0,
5 "displayId": "string"
6 },
7 "company": {
8 "id": 0,
9 "displayId": "string"
10 },
11 "contractCurrency": {
12 "id": 0,
13 "displayId": "string"
14 },
15 "conversionDate": {
16 "postingDate": "2019-08-24",
17 "documentDate": "2019-08-24",
18 "translationDate": "2019-08-24"
19 }
20 },
21 "companyCurrencyConversion": {
22 "exchangeRate": 0,
23 "conversionDate": "2019-08-24",
24 "fromCurrency": {
25 "id": 0,
26 "status": "CREATED",
27 "displayId": "string",
28 "erpSystemId": 0,
29 "erpSystemDisplayId": "string",
30 "name": "string",
31 "decimalPoints": 0,
32 "depreciationAreaId": 0
33 },
34 "toCurrency": {
35 "id": 0,
36 "status": "CREATED",
37 "displayId": "string",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "name": "string",
41 "decimalPoints": 0,
42 "depreciationAreaId": 0
43 },
44 "referenceCurrency": {
45 "id": 0,
46 "status": "CREATED",
47 "displayId": "string",
48 "erpSystemId": 0,
49 "erpSystemDisplayId": "string",
50 "name": "string",
51 "decimalPoints": 0,
52 "depreciationAreaId": 0
53 },
54 "currencyDefinitionType": "CONTRACT_CURRENCY",
55 "sourceCurrencyType": "CONTRACT_CURRENCY",
56 "translationDateType": "DOCUMENT_DATE",
57 "currencyType": "string",
58 "exchangeRateType": "string",
59 "errorMessage": "string"
60 },
61 "secondLocalCurrencyConversion": {
62 "exchangeRate": 0,
63 "conversionDate": "2019-08-24",
64 "fromCurrency": {
65 "id": 0,
66 "status": "CREATED",
67 "displayId": "string",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string",
70 "name": "string",
71 "decimalPoints": 0,
72 "depreciationAreaId": 0
73 },
74 "toCurrency": {
75 "id": 0,
76 "status": "CREATED",
77 "displayId": "string",
78 "erpSystemId": 0,
79 "erpSystemDisplayId": "string",
80 "name": "string",
81 "decimalPoints": 0,
82 "depreciationAreaId": 0
83 },
84 "referenceCurrency": {
85 "id": 0,
86 "status": "CREATED",
87 "displayId": "string",
88 "erpSystemId": 0,
89 "erpSystemDisplayId": "string",
90 "name": "string",
91 "decimalPoints": 0,
92 "depreciationAreaId": 0
93 },
94 "currencyDefinitionType": "CONTRACT_CURRENCY",
95 "sourceCurrencyType": "CONTRACT_CURRENCY",
96 "translationDateType": "DOCUMENT_DATE",
97 "currencyType": "string",
98 "exchangeRateType": "string",
99 "errorMessage": "string"
100 },
101 "thirdLocalCurrencyConversion": {
102 "exchangeRate": 0,
103 "conversionDate": "2019-08-24",
104 "fromCurrency": {
105 "id": 0,
106 "status": "CREATED",
107 "displayId": "string",
108 "erpSystemId": 0,
109 "erpSystemDisplayId": "string",
110 "name": "string",
111 "decimalPoints": 0,
112 "depreciationAreaId": 0
113 },
114 "toCurrency": {
115 "id": 0,
116 "status": "CREATED",
117 "displayId": "string",
118 "erpSystemId": 0,
119 "erpSystemDisplayId": "string",
120 "name": "string",
121 "decimalPoints": 0,
122 "depreciationAreaId": 0
123 },
124 "referenceCurrency": {
125 "id": 0,
126 "status": "CREATED",
127 "displayId": "string",
128 "erpSystemId": 0,
129 "erpSystemDisplayId": "string",
130 "name": "string",
131 "decimalPoints": 0,
132 "depreciationAreaId": 0
133 },
134 "currencyDefinitionType": "CONTRACT_CURRENCY",
135 "sourceCurrencyType": "CONTRACT_CURRENCY",
136 "translationDateType": "DOCUMENT_DATE",
137 "currencyType": "string",
138 "exchangeRateType": "string",
139 "errorMessage": "string"
140 },
141 "errorMessage": "string",
142 "hasError": true
143}